GET api/Lookups/GetStatesData
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
Collection of CountryStateSearchOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| UserInput | string |
None. |
|
| CountryId | integer |
None. |
|
| CountryName | string |
None. |
|
| StateId | integer |
None. |
|
| StateName | string |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"userInput": "sample string 1",
"countryId": 2,
"countryName": "sample string 3",
"stateId": 4,
"stateName": "sample string 5"
},
{
"userInput": "sample string 1",
"countryId": 2,
"countryName": "sample string 3",
"stateId": 4,
"stateName": "sample string 5"
}
]
application/xml, text/xml
Sample:
<ArrayOfCountryStateSearchOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/API.Models.Public.LookupModels">
<CountryStateSearchOutput>
<CountryId>2</CountryId>
<CountryName>sample string 3</CountryName>
<StateId>4</StateId>
<StateName>sample string 5</StateName>
<UserInput>sample string 1</UserInput>
</CountryStateSearchOutput>
<CountryStateSearchOutput>
<CountryId>2</CountryId>
<CountryName>sample string 3</CountryName>
<StateId>4</StateId>
<StateName>sample string 5</StateName>
<UserInput>sample string 1</UserInput>
</CountryStateSearchOutput>
</ArrayOfCountryStateSearchOutput>